package com.psmreborn.nopsmdrm.pscertified;

public class CertifiedDeviceList {
    private String manufacturer = null;
    private CertifiedDeviceEntry[] deviceEntrys = null;
    public String getManufacturer() {
        return manufacturer;
    }
    public CertifiedDeviceEntry[] getCertifiedDeviceEntries() {
        return deviceEntrys;
    }

    public boolean checkDevice(String manufacturer, String device, int osVer){

        if(this.manufacturer.equals(manufacturer)){
            for(int i = 0; i < deviceEntrys.length; i++){
                if(deviceEntrys[i].checkDevice(device, osVer)){
                    return true;
                }
            }
        }
        return false;
    }
    public CertifiedDeviceList(String manufacturer, CertifiedDeviceEntry[] devices){
        this.manufacturer = manufacturer;
        this.deviceEntrys = devices;
    }
}